using PhilExampleCrawler.Common.Models;

namespace WebAPI.Interfaces
{
    public interface ITelegramDistributer : IHostedService
    {
        Task SendAsync(User user, List<Insertion> insertions);
        Task<string> RefetchCredentialsAsync(string creds);
        Task UpdateUserListAsync();
    }
}
